@mixin flex-center {
  justify-content: center;
  align-items: center;
  display: flex;
}
.modal-background {
  @include flex-center;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));

  .modal-window {
    width: 600px;
    .header {
      background-color: #d44637;
      display: flex;
      justify-content: space-between;
      padding: 25px 31px 21px 30px;
      color: black;
      font-size: 14pt;
      font-family: 'Lato', sans-serif;
      font-weight: bold;

      .close{
        background: none;
        border: none;
        outline: none;
      }
    }

    .body-container {
      @include flex-center;
      flex-direction: column;
      background-color: #e74c3c;
      padding: 24px 41px;

      .main-text-container {
        color: black;
        text-align: center;
        font-size: 18px;
        font-family: 'Lato', serif;
        font-weight: bold;
        line-height: 26px;
      }

      .button-container {
        @include flex-center;
        margin-top: 20px;

      }

      .button-container > div {
        margin-right: 13px;
      }
    }
  }
}



